# QTextCharFormat Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextFormat.

### Constructor

- void QTextCharFormat()

### Constructor Properties

- prototype: The QTextCharFormat prototype object
- AlignNormal = 0
- AlignSuperScript
- AlignSubScript
- AlignMiddle
- AlignTop
- AlignBottom
- AlignBaseline
- VerticalAlignment( value )
- NoUnderline
- SingleUnderline
- DashUnderline
- DotLine
- DashDotLine
- DashDotDotLine
- WaveUnderline
- SpellCheckUnderline
- UnderlineStyle( value )

### Prototype Object Properties

The QTextCharFormat prototype object inherits properties from the QTextFormat prototype object and also has the following properties.

- String anchorHref()
- List anchorNames()
- QFont font()
- Capitalization fontCapitalization()
- String fontFamily()
- bool fontFixedPitch()
- bool fontItalic()
- bool fontKerning()
- qreal fontLetterSpacing()
- bool fontOverline()
- qreal fontPointSize()
- bool fontStrikeOut()
- StyleHint fontStyleHint()
- StyleStrategy fontStyleStrategy()
- bool fontUnderline()
- int fontWeight()
- qreal fontWordSpacing()
- bool isAnchor()
- void setAnchor(bool anchor)
- void setAnchorHref(String value)
- void setAnchorNames(List names)
- void setFont(QFont font)
- void setFontCapitalization(Capitalization capitalization)
- void setFontFamily(String family)
- void setFontFixedPitch(bool fixedPitch)
- void setFontItalic(bool italic)
- void setFontKerning(bool enable)
- void setFontLetterSpacing(qreal spacing)
- void setFontOverline(bool overline)
- void setFontPointSize(qreal size)
- void setFontStrikeOut(bool strikeOut)
- void setFontStyleHint(StyleHint hint, StyleStrategy strategy)
- void setFontStyleStrategy(StyleStrategy strategy)
- void setFontUnderline(bool underline)
- void setFontWeight(int weight)
- void setFontWordSpacing(qreal spacing)
- void setTableCellColumnSpan(int tableCellColumnSpan)
- void setTableCellRowSpan(int tableCellRowSpan)
- void setTextOutline(QPen pen)
- void setToolTip(String tip)
- void setUnderlineColor(QColor color)
- void setUnderlineStyle(UnderlineStyle style)
- void setVerticalAlignment(VerticalAlignment alignment)
- int tableCellColumnSpan()
- int tableCellRowSpan()
- QPen textOutline()
- String toolTip()
- QColor underlineColor()
- UnderlineStyle underlineStyle()
- VerticalAlignment verticalAlignment()

### Instance Properties

QTextCharFormat objects have no special properties beyond those inherited from the QTextCharFormat prototype object.